petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMShellSetCreateInjection

Set the routine used to create the injection operator

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateInjection(DM dm, PetscErrorCode (*inject)(DM,DM,Mat*))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| inject | - the routine to create the injection

### See Also

DMShellSetCreateInterpolation(), DMCreateInjection(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages